body {
    margin: 0;
    /*font-family: 'Open Sans', sans-serif;*/
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #121212;
}

body.dropdownshown {
    height: 100vh;
    width: 100%;
    overflow: hidden;
    position: fixed;
}

input, button, select {
    /*font-family: 'Open Sans', sans-serif;*/
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.cookieNotice {
    position: fixed;
    width: 60%;
    bottom: 0;
    left: 0;
    padding: 3vh 20%;
    background-color: rgba(26, 26, 26, .95);
    z-index: 10;
    text-align: center;
}

.cookieNotice.approved {
    display: none;
}

.cookieNotice h1 {
    margin: 0;
    font-size: 2vh;
    color: #fff;
    margin-bottom: 2vh;
}

.cookieNotice p {
    margin: 0;
    font-size: 1.3vh;
    color: #fff;
}

.cookieNotice p a {
    color: var(--color-one);
}

.cookieNotice button {
    font-size: 1.3vh;
    outline: none;
    border: none;
    background-color: var(--color-one);
    color: #fff;
    font-weight: bolder;
    padding: .75vh 3%;
    border-radius: .2vh;
    margin-top: 2vh;
    cursor: pointer;
}

.dropdown {
    display: flex;
    visibility: hidden;
    text-align: center;
    position: fixed;
    z-index: 10;
    background-color: var(--color-one);
    height: 100vh;
    width: 100%;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity .25s ease;
}

.dropdown.shown {
    visibility: visible;
    opacity: 1;
}

.dropdown a {
	display: block;
	font-size: 4vh;
	color: #fff;
	text-decoration: none;
	margin-bottom: 1vh;
}

.announcement {
	position: relative;
	max-height: 3.75vh;
	background-color: var(--color-one-darken);
	color: #fff;
	padding: 1vh 5%;
	text-align: center;
	font-size: 1.75vh;
	transition: max-height .5s ease, padding .5s ease;
}

.announcement.cookie {
    max-height: 0vh;
    padding: 0vh 5%;
    overflow: hidden;
}

.announcement .close {
    position: absolute;
    top: 1vh;
    right: 1.5%;
    cursor: pointer;
}

.navbar {
    display: flex;
    width: 80%;
    padding: 1.5vh 10%;
    align-items: center;
    background-color: var(--color-one);
    position: relative;
}

.navbar.dropdownshown {
    z-index: 11;
}

.navbar .left img {
    height: 8vh;
    width: auto;
    opacity: 1;
    visibility: visible;
    transition: opacity .25s ease, visibility .25s ease;
}

.navbar.dropdownshown .left img {
    visibility: hidden;
    opacity: 0;
}

.navbar .right {
	flex-grow: 100;
	text-align: right;
}

.navbar .right .links {
	display: flex;
	align-items: center;
	justify-content: right;
}

.navbar .right .dropdownbtn {
    display: none;
    font-size: 3vh;
    margin-right: 10%;
}

.navbar .right .closebtn {
    font-size: 4vh;
}

.navbar .right a, .navbar .right .more {
    display: inline-block;
    font-size: 2vh;
    color: #fff;
    text-decoration: none;
    margin-left: 1.5%;
    position: relative;
    padding-bottom: .5vh;
    font-weight: 600;
}

.navbar .right a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0%;
    height: .25vh;
    background-color: #fff;
    transition: width .3s ease;
}

.navbar .right a.active::after, .navbar .right a:hover::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: .25vh;
    background-color: #fff;
}

.navbar .right a i {
    margin-left: .5%;
}

.navbar .right .more {
	display: inline-flex;
	align-items: center;
	position: relative;
}

.navbar .right .more span {
	cursor: pointer;
}

.navbar .right .more i {
	margin-left: .5vw;
}

.navbar .right .more .dd {
	display: inline-flex;
	position: absolute;
	top: 5vh;
	left: -3vw;
	visibility: hidden;
	opacity: 0;
	background-color: #1e1e1e;
	z-index: 5;
	text-align: center;
	transition: opacity .2s ease, visibility .2s ease;
	padding-bottom: 0vh;
	width: 10vw;
	flex-wrap: wrap;
	border-radius: .3vh;
}

.navbar .right .more .dd i {
	position: absolute;
	top: -1.1vh;
	margin-left: 0%;
	width: 100%;
	left: 0;
	text-align: center;
    color: #1e1e1e;
}

.navbar .right .more .dd.shown {
	opacity: 1;
	visibility: visible;
}

.navbar .right .more .dd a {
	display: block;
	width: 100%;
	padding: 1vh 0vw;
	color: #fff;
	margin-left: 0;
	transition: background-color .3s ease, color .3s ease;
	font-size: 1.65vh;
	font-weight: 500;
	text-align: center;
}

.navbar .right .more .dd a:nth-child(2) {
	border-top-left-radius: .3vh;
	border-top-right-radius: .3vh;
}

.navbar .right .more .dd a:last-child {
	border-bottom-left-radius: .3vh;
	border-bottom-right-radius: .3vh;
}

.navbar .right .more .dd a:hover {
	background-color: var(--color-one-darken);
	color: #fff;
}

.navbar .right .account i, .navbar .right a.cart i {
	margin-left: none;
}

.navbar .right a.cart {
	position: relative;
	margin-left: 3%;
}

.navbar .right .account {
	margin-left: 1.5%;
	display: inline-flex;
	align-items: center;
	position: relative;
	margin-bottom: .6vh;
}

.navbar .right .account.icon {
	margin-bottom: 0vh;
	padding-bottom: .5vh;
}

.navbar .right .account .avatar {
	height: 3.5vh;
	width: 3.5vh;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 50%;
	cursor: pointer;
}

.navbar .right .account .dd {
	display: inline-flex;
	position: absolute;
	top: 5vh;
	left: -2.85vw;
	visibility: hidden;
	opacity: 0;
	background-color: #1e1e1e;
	z-index: 5;
	text-align: center;
	transition: opacity .2s ease, visibility .2s ease;
	padding-bottom: 0vh;
	width: 7.5vw;
	flex-wrap: wrap;
	border-radius: .3vh;
	color: #fff;
	font-size: 2vh;
}

.navbar .right .account .dd i {
	position: absolute;
	top: -1.1vh;
	margin-left: 0%;
	width: 100%;
	left: 0;
	text-align: center;
    color: #1e1e1e;
}

.navbar .right .account .dd.shown {
	opacity: 1;
	visibility: visible;
}

.navbar .right .account .dd a {
	display: block;
	width: 100%;
	padding: .75vh 0vw;
	color: #fff;
	margin-left: 0;
	transition: background-color .3s ease, color .3s ease;
	font-size: 1.5vh;
	font-weight: 500;
	text-align: center;
}

.navbar .right .account .dd a:nth-child(2) {
	border-top-left-radius: .3vh;
	border-top-right-radius: .3vh;
}

.navbar .right .account .dd a:last-child {
	border-bottom-left-radius: .3vh;
	border-bottom-right-radius: .3vh;
}

.navbar .right .account .dd a:hover {
	background-color: var(--color-one-darken);
	color: #fff;
}

.navbar .right .more .dd a:hover::after, .navbar .right .account .dd a:hover::after, .navbar .right .dropdownbtn {
	width: 0%;
}

.navbar .right .account:hover::after, .navbar .right a.cart:hover::after {
	width: 0%;
}

.navbar .right a.cart .num {
	display: flex;
	position: absolute;
	top: -1vh;
	right: -1vh;
	height: 2vh;
	width: 2vh;
	background-color: var(--color-one-darken);
	border-radius: 50%;
	font-size: 1.5vh;
	align-items: center;
	justify-content: center;
}

.body {
    display: block;
    width: 80%;
    margin: 5vh 10% 0vh 10%;
    min-height:49.1vh;
}

.body .title {
    display: block;
    font-size: 4vh;
    width: 100%;
    color: #fff;
    text-align: center;
    margin: 0;
    margin-bottom: 5vh;
}

.body .container h2 {
    width: 100%;
    font-size: 2vh;
    text-align: center;
    margin: 0;
    color: #fff;
}

.body .container h2 a {
    color: var(--color-one);
}

.body .container {
    display: flex;
    width: 100%;
}

.body .container .left {
    padding: 2vh 1.5%;
    width: 60%;
    margin-right: 4%;
    border-radius: .2vh;
    position:relative;
    padding-bottom: 10vh;
    background-color: #1e1e1e;
    color: #fff;
}

.body .container .left .bottom {
    display:flex;
    position:absolute;
    left:0;
    bottom:0;
    width:95%;
    margin:0 2.5%;
    border-top:.2vh solid #bdbdbd;
}

.body .container .left .bottom .continue {
    width:50%;
    margin-top: 2vh;
    margin-bottom: 2vh;
}

.body .container .left .bottom .continue a {
    font-size: 1.75vh;
    color: #fff;
    border: .1vh solid #fff;
    font-weight: 600;
    padding: .75vh 5%;
    text-decoration: none;
    border-radius: .5vh;
}

.body .container .left .bottom .total {
    display:flex;
    width:50%;
    align-items:center;
    justify-content:flex-end;
}

.body .container .left .bottom .total h3 {
    font-size:3vh;
    margin:0;
}

.body .container .left .bottom .total h4 {
    color: var(--color-one);
    font-size: 1.75vh;
    margin:0;
    margin-bottom: -.5vh;
    margin-right: 5%;
    font-weight: 600;
}

.body .container .left .bottom .total p {
    font-size:2vh;
    color:#fff;
    margin: 0;
    margin-left:4%;
    margin-bottom: -.25vh;
}

.body .container .left .items .item {
    display:flex;
    align-items:center;
    width:100%;
    margin-bottom: 2vh;
}

.body .container .left .items .item .close {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2vh;
    color: #fff;
    margin: 0;
    margin-right: 2%;
    cursor: pointer;
    height: 3vh;
    width: 3vh;
    background-color: var(--color-one);
    border-radius: .5vh;
    position: relative;
}

.body .container .left .items .item .close:after {
    content: "\d7";
}

.body .container .left .items .item .image {
    height: 10.125vh;
    width: 18vh;
    background-size: cover;
    border-radius: 1vh;
    background-image: url("../images/placeholder.png");
    background-size: 5vh;
    background-position: center;
    background-repeat: no-repeat;
    background-color: var(--color-one);
}

.body .container .left .items .item .name {
    font-size: 2vh;
    color: #fff;
    font-weight: bolder;
    margin: 0;
    margin-left: 2%;
}

.body .container .left .items .item .price {
    flex-grow: 100;
    text-align: right;
    font-size: 1.75vh;
    color: #fff;
    margin: 0;
    font-weight: 600;
}

.body .container .left .items .item .price .preDiscount {
    margin-right: 3%;
    opacity: .5;
    text-decoration: line-through;
}

.body .container .right {
    padding: 2vh 1.5%;
    width: 30%;
    background-color: #1e1e1e;
    border-radius: .2vh;
    color: #fff;
}

.body .container .right h3 {
    font-size:1.5vh;
    color:var(--color-one);
    font-weight:700;
}

.body .container .right .login input[type=submit] {
    width: 100%;
    background-color: #5865F2;
    color: #fff;
    font-size: 2.25vh;
    border: none;
    outline: none;
    padding: 1vh 0;
    cursor: pointer;
    border-radius: .3vh;
}

.body .container .right .payment input[type=submit] {
    width: 100%;
    background-color: var(--color-one);
    color: #fff;
    font-size: 2.25vh;
    border: none;
    outline: none;
    padding: 1vh 0;
    cursor: pointer;
    border-radius: .3vh;
}

.body .container .right .discount {
    position: relative;
}

.body .container .right .discount input[type=text] {
    display: block;
    width: 95%;
    color: #fff;
    background-color: #121212;
    font-size: 1.75vh;
    border: none;
    outline: none;
    padding: .5vh 2.5%;
    border-radius: .3vh;
}

.body .container .right .discount .submitDiscount {
    display: flex;
    position: absolute;
    top: 0;
    right: -.1vh;
    height: 3.3vh;
    width: 3.3vh;
    align-items: center;
    justify-content: center;
    background-color: var(--color-one);
    cursor: pointer;
}

.body .container .right .discount input[type=submit] {
    font-size: 2.25vh;
    background-color: transparent;
    outline: none;
    border: none;
    color: #fff;
    margin-top: -.35vh;
    cursor: pointer;
}

.body .container .right .login input[type=submit]:disabled, .body .container .right .payment input[type=submit]:disabled {
    cursor:default;
    opacity:.5;
}

.footer {
	display: block;
	width: 80%;
	margin-top: 7vh;
	background-color: #1e1e1e;
	padding: 3vh 10% 2vh 10%;
}

.footer p {
	font-size: 1.5vh;
	color: #fff;
	opacity: .75;
	text-align: right;
	margin: 0;
	margin-top: 2vh;
}

.footer .top {
	display: flex;
	border-bottom: .2vh solid #fff;
	padding-bottom: 2vh;
}

.footer .top .left, .footer .top .center, .footer .top .right {
	width: 33.33%;
}

.footer .top h1 {
	font-size: 2vh;
	color: #fff;
	margin: 0;
	margin-bottom: 3vh;
}

.footer .top li {
	list-style: none;
}

.footer .top a {
	display: inline-block;
	font-size: 1.75vh;
	color: #fff;
	margin: 0;
	text-decoration: none;
	margin-bottom: 1.25vh;
	opacity: .75;
}

.footer .top .center {
	text-align: center;
}

.footer .top .right {
	text-align: right;
}

@media screen and (max-width: 600px), (orientation : portrait) {
    .announcement .close {
        right: 4%;
    }

    .navbar .right .dropdownbtn {
        display: inline-block;
    }

    .navbar .right .dropdownbtn.hidden {
        display: none;
    }

    .navbar .right .links {
        display: none;
    }

    .header {
        background-size: auto 100vh;
        background-position-x: center;
    }

    .body {
        display: block;
    }

    .body .container {
        display: block;
    }

    .body .container .left, .body .container .right {
        width: 97%;
        margin: 0;
    }

    .body .container .left {
        margin-bottom: 2vh;
    }

    .body .container .left .bottom .continue a {
        white-space: nowrap;
    }

    .footer .top {
        display: block;
    }

    .footer p, .footer h1, .footer li {
        text-align: center !important;
    }

    .footer .top .left, .footer .top .center, .footer .top .right {
        width: 100%;
        text-align: left;
        margin-bottom: 4vh;
    }
}